#pragma once

#include "CoreMinimal.h"
#include "CoreBaseUserWidget.h"
#include "InboxSkinUIData.h"
#include "ENewsAndMessagesSectionType.h"
#include "CoreInboxBodySectionBaseWidget.generated.h"

class UInboxBodySectionViewData;

UCLASS(Blueprintable, Abstract, EditInlineNew)
class DBDUIVIEWSCORE_API UCoreInboxBodySectionBaseWidget : public UCoreBaseUserWidget
{
	GENERATED_BODY()

public:
	UFUNCTION(BlueprintCallable, BlueprintImplementableEvent)
	void SetSkin(const FInboxSkinUIData& skinUIData);

	UFUNCTION(BlueprintCallable, BlueprintNativeEvent)
	bool SetData(UInboxBodySectionViewData* viewData);

	UFUNCTION(BlueprintCallable, BlueprintNativeEvent)
	ENewsAndMessagesSectionType GetSectionType();

public:
	UCoreInboxBodySectionBaseWidget();
};

FORCEINLINE uint32 GetTypeHash(const UCoreInboxBodySectionBaseWidget) { return 0; }
